@using Mandiri.Lelang.WebAdminUI.Utility
@model object

@{
    var htmlAttributes = new RouteValueDictionary();
    if (ViewBag.@class != null)
    {
        htmlAttributes.Add("class", "form-control input-sm " + ViewBag.@class);
    }
    else
    {
        htmlAttributes.Add("class", "form-control input-sm");
    }
    if (ViewBag.placeholder != null)
    {
        htmlAttributes.Add("placeholder", ViewBag.placeholder);
    }
}


<div class="form-group@(Html.ValidationErrorFor(m => m, " has-error"))">
    @Html.LabelFor(m => m, new { @class = String.Format("control-label{0}", " " + ViewBag.LabelAdditionalClass) })
    <div class="@String.Format("controls{0}", " " + ViewBag.InputDivAdditionalClass)">
        @Html.Password(
            "",
            ViewData.TemplateInfo.FormattedModelValue,
            htmlAttributes)
        @Html.ValidationMessageFor(m => m, null, new { @class = "help-block" })
    </div>
</div>